# rclone

![Version: 0.0.1](https://img.shields.io/badge/Version-0.0.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.58.1](https://img.shields.io/badge/AppVersion-1.58.1-informational?style=flat-square)

A Helm chart for rclone with a support for WebUI (experimental)

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| auth.password | string | `"changeme"` |  |
| auth.user | string | `"rclone"` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| env.PGID | int | `1000` |  |
| env.PHP_TZ | string | `"Europe/London"` |  |
| env.PUID | int | `1000` |  |
| flags | list | `[]` | Additional flags to be used as rclone parameters |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"rclone/rclone"` |  |
| image.tag | string | `""` | Overrides the image tag whose default is the chart appVersion. |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| metrics.enable | bool | `true` | Enable prometheus metrics on /metrics |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.additionalMounts | list | `[]` | if you need any additional volume mounts, you can define them here |
| persistence.additionalVolumes | list | `[]` | if you need any additional volumes, you can define them here |
| persistence.config.accessMode | string | `"ReadWriteOnce"` | Access mode for the config volume |
| persistence.config.enabled | bool | `true` | If true, will enable persistence for config volume |
| persistence.config.existingClaim | string | `""` | If not empty, will reuse existing pvc claim for the config volume. Otherwise it will be generated |
| persistence.config.size | string | `"50Mi"` | Size for the config volume |
| persistence.storageClass | string | `""` | Storage class to use. If Empty, the default one will be used |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `5572` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` | Annotations to add to the service account |
| serviceAccount.create | bool | `true` | Specifies whether a service account should be created |
| serviceAccount.name | string | `""` | If not set and create is true, a name is generated using the fullname template |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.7.0](https://github.com/norwoodj/helm-docs/releases/v1.7.0)
